Subject: bug#17211: Empty items show up in kill-ring if mouse-drag-copy-region is used

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 09 Jun 2022 15:58:11 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Hm...  well, I guess we could change mouse-drag-copy-region so that if
> the region is very short (i.e., less than a character), then we don't
> put that onto the kill ring?
>
> Does anybody here object to making such a change?  I guess it's possible
> that somebody is using a sub-character drag to set the mark, but it does
> seem unlikely.

Out of an overabundance of caution, I've now added a new value to
mouse-drag-copy-region to do this, even if I don't think anybody would
want those ""s to land in the kill ring.  (Emacs 29.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no